svn commit: samba r24876 - in branches/SAMBA_4_0: . testprogs/blackbox

jelmer at samba.org jelmer at samba.org
Sun Sep 2 00:04:30 GMT 2007


Author: jelmer
Date: 2007-09-02 00:04:27 +0000 (Sun, 02 Sep 2007)
New Revision: 24876

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=24876

Log:
Use more absolute paths to samba4 binaries.
Modified:
   branches/SAMBA_4_0/
   branches/SAMBA_4_0/testprogs/blackbox/test_cifsdd.sh
   branches/SAMBA_4_0/testprogs/blackbox/test_kinit.sh
   branches/SAMBA_4_0/testprogs/blackbox/test_smbclient.sh


Changeset:

Property changes on: branches/SAMBA_4_0
___________________________________________________________________
Name: bzr:revision-info
...skipped...
Name: bzr:revision-id:v3-trunk0
...skipped...

Modified: branches/SAMBA_4_0/testprogs/blackbox/test_cifsdd.sh
===================================================================
--- branches/SAMBA_4_0/testprogs/blackbox/test_cifsdd.sh	2007-09-01 23:57:34 UTC (rev 24875)
+++ branches/SAMBA_4_0/testprogs/blackbox/test_cifsdd.sh	2007-09-02 00:04:27 UTC (rev 24876)
@@ -14,7 +14,8 @@
 PASSWORD=$3
 DOMAIN=$4
 
-DD=bin/cifsdd
+samba4bindir=`dirname $0`/../../source/bin
+DD=$samba4bindir/cifsdd
 
 SHARE=tmp
 DEBUGLEVEL=1

Modified: branches/SAMBA_4_0/testprogs/blackbox/test_kinit.sh
===================================================================
--- branches/SAMBA_4_0/testprogs/blackbox/test_kinit.sh	2007-09-01 23:57:34 UTC (rev 24875)
+++ branches/SAMBA_4_0/testprogs/blackbox/test_kinit.sh	2007-09-02 00:04:27 UTC (rev 24876)
@@ -19,6 +19,11 @@
 shift 6
 failed=0
 
+samba4bindir=`dirname $0`/../../source/bin
+smbclient=$samba4bindir/smbclient
+samba4kinit=$samba4bindir/samba4kinit
+net=$samba4bindir/net
+
 testit() {
 	name="$1"
 	shift
@@ -41,7 +46,7 @@
 	shift
 	shift
 	echo "test: $name"
-	$VALGRIND bin/smbclient $CONFIGURATION //$SERVER/tmp -c "$cmd" -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
+	$VALGRIND $smbclient $CONFIGURATION //$SERVER/tmp -c "$cmd" -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
 	status=$?
 	if [ x$status = x0 ]; then
 		echo "success: $name"
@@ -55,18 +60,18 @@
 export KRB5CCNAME
 
 echo $PASSWORD > ./tmppassfile
-testit "kinit with password" bin/samba4kinit --password-file=./tmppassfile --request-pac $USERNAME@$REALM   || failed=`expr $failed + 1`
-testit "kinit with pkinit" bin/samba4kinit --request-pac --pk-user=FILE:$PREFIX/dc/private/tls/admincert.pem,$PREFIX/dc/private/tls/adminkey.pem $USERNAME@$REALM || failed=`expr $failed + 1`
+testit "kinit with password" $samba4kinit --password-file=./tmppassfile --request-pac $USERNAME@$REALM   || failed=`expr $failed + 1`
+testit "kinit with pkinit" $samba4kinit --request-pac --pk-user=FILE:$PREFIX/dc/private/tls/admincert.pem,$PREFIX/dc/private/tls/adminkey.pem $USERNAME@$REALM || failed=`expr $failed + 1`
 
 test_smbclient "Test login with kerberos ccache" 'ls' -k yes || failed=`expr $failed + 1`
 
-testit "domain join with kerberos ccache" $VALGRIND bin/net join $DOMAIN $CONFIGURATION  -W "$DOMAIN" -k yes $@ || failed=`expr $failed + 1`
-testit "check time with kerberos ccache" $VALGRIND bin/net time $SERVER $CONFIGURATION  -W "$DOMAIN" -k yes $@ || failed=`expr $failed + 1`
+testit "domain join with kerberos ccache" $VALGRIND $net join $DOMAIN $CONFIGURATION  -W "$DOMAIN" -k yes $@ || failed=`expr $failed + 1`
+testit "check time with kerberos ccache" $VALGRIND $net time $SERVER $CONFIGURATION  -W "$DOMAIN" -k yes $@ || failed=`expr $failed + 1`
 
-testit "add user with kerberos ccache" $VALGRIND bin/net user add nettestuser $CONFIGURATION  -k yes $@ || failed=`expr $failed + 1`
+testit "add user with kerberos ccache" $VALGRIND $net user add nettestuser $CONFIGURATION  -k yes $@ || failed=`expr $failed + 1`
 USERPASS=testPass at 12%
 
-testit "set user password with kerberos ccache" $VALGRIND bin/net password set $DOMAIN\\nettestuser $USERPASS $CONFIGURATION  -k yes $@ || failed=`expr $failed + 1`
+testit "set user password with kerberos ccache" $VALGRIND $net password set $DOMAIN\\nettestuser $USERPASS $CONFIGURATION  -k yes $@ || failed=`expr $failed + 1`
 
 #KRB5CCNAME=`pwd`/tmpuserccache
 #export KRB5CCNAME
@@ -76,7 +81,7 @@
 #KRB5CCNAME=`pwd`/tmpccache
 #export KRB5CCNAME
 
-testit "del user with kerberos ccache" $VALGRIND bin/net user delete nettestuser $CONFIGURATION  -k yes $@ || failed=`expr $failed + 1`
+testit "del user with kerberos ccache" $VALGRIND $net user delete nettestuser $CONFIGURATION  -k yes $@ || failed=`expr $failed + 1`
 
 rm -f tmpccfile tmppassfile tmpuserccache
 exit $failed

Modified: branches/SAMBA_4_0/testprogs/blackbox/test_smbclient.sh
===================================================================
--- branches/SAMBA_4_0/testprogs/blackbox/test_smbclient.sh	2007-09-01 23:57:34 UTC (rev 24875)
+++ branches/SAMBA_4_0/testprogs/blackbox/test_smbclient.sh	2007-09-02 00:04:27 UTC (rev 24876)
@@ -18,6 +18,9 @@
 shift 5
 failed=0
 
+samba4bindir=`dirname $0`/../../source/bin
+smbclient=$samba4bindir/smbclient
+
 testit() {
 	name="$1"
 	shift
@@ -39,7 +42,7 @@
 	shift
 	shift
 	echo "test: $name"
-	$VALGRIND bin/smbclient $CONFIGURATION //$SERVER/tmp -c "$cmd" -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
+	$VALGRIND $smbclient $CONFIGURATION //$SERVER/tmp -c "$cmd" -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
 	status=$?
 	if [ x$status = x0 ]; then
 		echo "success: $name"
@@ -49,9 +52,9 @@
 	return $status
 }
 
-testit "share and server list" $VALGRIND bin/smbclient -L $SERVER $CONFIGURATION  -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+testit "share and server list" $VALGRIND $smbclient -L $SERVER $CONFIGURATION  -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
 
-testit "share and server list anonymously" $VALGRIND bin/smbclient -N -L $SERVER $CONFIGURATION $@ || failed=`expr $failed + 1`
+testit "share and server list anonymously" $VALGRIND $smbclient -N -L $SERVER $CONFIGURATION $@ || failed=`expr $failed + 1`
 
 testit "domain join" $VALGRIND bin/net join $DOMAIN $CONFIGURATION  -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
 
@@ -114,9 +117,9 @@
 
 runcmd "Print current working directory" 'pwd'|| failed=`expr $failed + 1`
 
-testit "Test login with --machine-pass without kerberos" $VALGRIND bin/smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no || failed=`expr $failed + 1`
+testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no || failed=`expr $failed + 1`
 
-testit "Test login with --machine-pass and kerberos" $VALGRIND bin/smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes || failed=`expr $failed + 1`
+testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes || failed=`expr $failed + 1`
 
 (
     echo "password=$PASSWORD"
@@ -124,24 +127,24 @@
     echo "domain=$DOMAIN"
 ) > tmpauthfile
 
-testit "Test login with --authentication-file" $VALGRIND bin/smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --authentication-file=tmpauthfile  || failed=`expr $failed + 1`
+testit "Test login with --authentication-file" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --authentication-file=tmpauthfile  || failed=`expr $failed + 1`
 
 PASSWD_FILE="tmppassfile" 
 echo "$PASSWORD" > $PASSWD_FILE
 export PASSWD_FILE
-testit "Test login with PASSWD_FILE" $VALGRIND bin/smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp -W "$DOMAIN" -U"$USERNAME" || failed=`expr $failed + 1`
+testit "Test login with PASSWD_FILE" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp -W "$DOMAIN" -U"$USERNAME" || failed=`expr $failed + 1`
 PASSWD_FILE=""
 export PASSWD_FILE
 unset PASSWD_FILE
 
 PASSWD="$PASSWORD" 
 export PASSWD
-testit "Test login with PASSWD" $VALGRIND bin/smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp -W "$DOMAIN" -U"$USERNAME" || failed=`expr $failed + 1`
+testit "Test login with PASSWD" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp -W "$DOMAIN" -U"$USERNAME" || failed=`expr $failed + 1`
 
 oldUSER=$USER
 USER="$USERNAME" 
 export USER
-testit "Test login with USER and PASSWD" $VALGRIND bin/smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp -W "$DOMAIN" || failed=`expr $failed + 1`
+testit "Test login with USER and PASSWD" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp -W "$DOMAIN" || failed=`expr $failed + 1`
 PASSWD=
 export PASSWD
 unset PASSWD



More information about the samba-cvs mailing list